Subject: bug#63870: 29.0.90; project.el can't dynamically populate the project list

From: Dmitry Gutov <[email-masked]>
Date: Thu, 27 Jul 2023 04:59:32 +0300

On 18/07/2023 20:41, Juri Linkov wrote:
>> (Maybe I'll revisit this after writing some scripts like this for Emacs
>> development - although those will definitely only be in Elisp, so it
>> would be kind of moot)
> Why can't project--ensure-read-project-list scan a list of known roots
> to find a new project?  I.e. the reverse of project-forget-projects-under.
> 
> Or like there is an item "... (choose a dir)", another item could be
> "*Rescan*" that will try to find a new project under known roots.

We have an interactive command called 'project-remember-projects-under', 
when you want to trigger such a scan.

But as for why we don't do that automatically? Performance, for 
instance. Tree traversal, coupled with arbitrary logic for finding 
projects, can be too costly.